"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Injectable = void 0;
const common_1 = require("@nestjs/common");
function Injectable(options) {
    const injectableApplied = common_1.Injectable(options);
    return Object.assign(injectableApplied, {
        As(...tokens) {
            return function (target) {
                target.providers = [
                    target,
                    ...tokens.map((token) => ({
                        provide: token,
                        useExisting: target,
                    })),
                ];
                return injectableApplied(target);
            };
        },
    });
}
exports.Injectable = Injectable;
//# sourceMappingURL=injectable.js.map